<h1>Simple Calc, version 1</h1>
<div>
  LHS: <input type="number" [(ngModel)]="lhs"
              (change)="compute()"
              min="0" step="0.1"
              [class.error]="lhs < 1"/>
  RHS: <input type="number" [(ngModel)]="rhs"
              (change)="compute()"
              min="0" step="0.1"
              [class.error]="rhs < 1"/>
  <button type="button" (click)="compute()">Compute</button>
</div>
<hr/>
<div>
  <table>
    <thead>
    <tr>
      <th>Name</th>
      <th>Left</th>
      <th>OP</th>
      <th>Right</th>
      <th>Result</th>
    </tr>
    </thead>
    <tbody>
    <tr *ngFor="let item of results">
      <td>{{item.name}}</td>
      <td>{{item.lhs}}</td>
      <td>{{item.operator}}</td>
      <td>{{item.rhs}}</td>
      <td>{{item.result | number:'1.1-3'}}</td>
    </tr>
    </tbody>
  </table>
</div>

